package es.uv.garcosda.controllers;

import java.util.List;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import es.uv.garcosda.domain.Comment;
import es.uv.garcosda.services.CommentService;

@RestController
@RequestMapping("/api/v1/comments")
public class CommentsController {

	@Autowired
	private CommentService ps;
	
	@GetMapping
	public ResponseEntity<List<Comment>> getComments() {
		return new ResponseEntity<List<Comment>>(ps.findAll(), HttpStatus.OK);
	}
	
	@GetMapping("{id}")
	public ResponseEntity<Comment> getComment(@PathVariable String id) {
		UUID id_ = null;
		try {
			id_ = UUID.fromString(id);
		}
		catch(IllegalArgumentException e){
			return new ResponseEntity<Comment>(new Comment(), HttpStatus.NOT_FOUND);
		}
		
		Comment p = ps.findById(id_);
		if(p.getId() == null) {
			return new ResponseEntity<Comment>(new Comment(), HttpStatus.NOT_FOUND);
		}
		return new ResponseEntity<Comment>(p, HttpStatus.OK);
	}
}
