package es.uv.garcosda.controllers;

import java.util.List;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import es.uv.garcosda.services.PiuService;

import es.uv.garcosda.domain.Piu;

@RestController
@RequestMapping("/api/v1/pius")
public class PiupperController {

	@Autowired
	private PiuService ps;
	
	@GetMapping
	public ResponseEntity<List<Piu>> getPius() {
		return new ResponseEntity<List<Piu>>(ps.findAll(), HttpStatus.OK);
	}
	
	@GetMapping("{id}")
	public ResponseEntity<Piu> getPiu(@PathVariable String id) {
		UUID id_ = null;
		try {
			id_ = UUID.fromString(id);
		}
		catch(IllegalArgumentException e){
			return new ResponseEntity<Piu>(new Piu(), HttpStatus.NOT_FOUND);
		}
		
		Piu p = ps.findById(id_);
		if(p.getId() == null) {
			return new ResponseEntity<Piu>(new Piu(), HttpStatus.NOT_FOUND);
		}
		return new ResponseEntity<Piu>(p, HttpStatus.OK);
	}
	
	
}
