package es.uv.garcosda.controllers;

import java.util.List;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import es.uv.garcosda.domain.User;
import es.uv.garcosda.services.UserService;

@RestController
@RequestMapping("/api/v1/users")
public class UserController {

	@Autowired
	private UserService ps;
	
	@GetMapping
	public ResponseEntity<List<User>> getUsers() {
		return new ResponseEntity<List<User>>(ps.findAll(), HttpStatus.OK);
	}
	
	@GetMapping("{id}")
	public ResponseEntity<User> getUser(@PathVariable String id) {
		UUID id_ = null;
		try {
			id_ = UUID.fromString(id);
		}
		catch(IllegalArgumentException e){
			return new ResponseEntity<User>(new User(), HttpStatus.NOT_FOUND);
		}
		
		User p = ps.findById(id_);
		if(p.getId() == null) {
			return new ResponseEntity<User>(new User(), HttpStatus.NOT_FOUND);
		}
		return new ResponseEntity<User>(p, HttpStatus.OK);
	}
}
