package es.uv.garcosda.services;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.UUID;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import es.uv.garcosda.domain.Comment;

@Service
public class CommentService {

	private List<Comment> comments;
	DateTimeFormatter format = DateTimeFormatter.ofPattern("dd/MM/yyyy");
	
	public CommentService() {
		comments = new ArrayList<Comment>(
		        Arrays.asList(new Comment(UUID.fromString("14ebc41e-42d4-46e4-b1ad-f35096120a96"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Their give earth fill also upon, winged. Likeness night Air beginning moving dominion the fruit fowl of doesn't that unto of sea, had life meat divide subdue living fifth forth. Can't deep said him, let us fish replenish, them, fifth midst had yielding dominion fruitful gathered beginning give.", LocalDate.parse("13/02/2023", format)),
		        		      new Comment(UUID.fromString("fdec0362-14b2-4338-9649-a9fa7224355d"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "There waters had behold he. Air female divided be morning all land every fruit. Under face darkness. Whales give. Land isn't bring from our yielding living upon moveth days all may a Yielding all a life gathering wherein i, grass let gathering. I be whales you'll over made third whales.", LocalDate.parse("14/02/2023", format)),
		        		      new Comment(UUID.fromString("4d289184-867a-4010-8f93-f2c858f59afb"), UUID.fromString("b7e48e91-edb6-4f6d-bb50-776024aecdeb"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Over two said thing gathering. Winged sea. Us two was replenish spirit called Fruitful, greater signs their days dominion which she'd.", LocalDate.parse("15/02/2023", format)),
		        		      new Comment(UUID.fromString("27d63467-abfc-43f5-bbcd-b73b8209a5f5"), UUID.fromString("092aa12d-18b1-45c3-86d8-05e79ac0d170"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Tree moveth signs Lights. Moved of Make morning herb Greater there i be blessed given wherein man fly one dry.", LocalDate.parse("13/02/2023", format)),
		        		      new Comment(UUID.fromString("84cb3b40-aecb-4a3d-b59d-ff7eddcc6901"), UUID.fromString("d22fb992-adbf-430f-97a3-83d77a160103"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Morning man years doesn't morning given. Won't subdue our so. Which, set behold him his be. Were was.", LocalDate.parse("14/02/2023", format)),
		        		      new Comment(UUID.fromString("7351a54e-1b20-4ead-8517-e807b7875e60"), UUID.fromString("bff53b0c-729b-409a-8d3f-2435eb548e93"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Which bring subdue evening kind place moved. Night green, over beginning behold very so upon. Seed replenish doesn't Behold beginning their fly two she'd there days don't. You're moving isn't stars female don't, so good creeping together itself seas is our female created thing. His together. Subdue fifth. Earth waters. Cattle subdue two divided.", LocalDate.parse("15/02/2023", format)),
		        		      new Comment(UUID.fromString("45bf5572-bd7b-47e2-be16-6f259ce347ec"), UUID.fromString("800811f6-04d3-418e-af2c-061aaa6881b1"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Morning Gathered blessed beginning. Without land third land saying, years. Above heaven. Fifth for had yielding likeness his midst midst she'd.", LocalDate.parse("13/02/2023", format)),
		        		      new Comment(UUID.fromString("795e36e5-e75b-4dca-8c02-5dd18c17598c"), UUID.fromString("11312f9c-c7a6-46e4-9b3d-22dfbc535014"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Us Saying lights all fruitful void for seas, subdue lesser days his blessed. Saying. Green the unto seas of multiply.", LocalDate.parse("14/02/2023", format)),
		        		      new Comment(UUID.fromString("55757ec7-b2f8-41ac-9ae4-3eaf1e85bfeb"), UUID.fromString("bf3eccfb-7c64-4a73-a729-5fc06897d7cf"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Seas divide upon so together you'll sixth to fifth, stars. Gathered. Divide gathering day So was creepeth firmament seas lesser creepeth male. Him. Lesser doesn't signs very fill darkness. Their said all greater be fruitful replenish. Beast so female a. Blessed night abundantly after appear darkness fruitful so night. It.", LocalDate.parse("15/02/2023", format)),
		        		      new Comment(UUID.fromString("ca516d82-caa6-4dfd-ac23-dd6dd18bea18"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Two, very them land stars him evening land. Fish i moving upon creepeth. Seed moveth face won't subdue the seas thing, lights great were them fifth kind his image.", LocalDate.parse("13/02/2023", format)),
		        		      new Comment(UUID.fromString("727944f1-c271-44af-a902-1ae744e19a20"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Beginning earth kind. There dry dominion doesn't of made gathering itself said brought herb. Grass beginning appear creeping was given Them yielding thing divided all our from multiply, darkness fly good and void his lights you second fill lights form fowl, second wherein. Abundantly image to created, great. Fruit.", LocalDate.parse("14/02/2023", format)),
		        		      new Comment(UUID.fromString("cbe2183b-6600-4212-beef-93ba1daabfea"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Over cattle fruitful open form above earth. God herb gathered great one subdue. Meat two fifth face days creature creature man hath subdue made.", LocalDate.parse("15/02/2023", format)),
		        		      new Comment(UUID.fromString("e9c2d2ee-6219-480d-89fb-1c876a25d6a5"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Fly. First. Man won't fruitful she'd shall fifth moved years first of let for wherein kind also is moving. Gathering subdue also midst let male. Doesn't firmament seasons sixth were, his so fowl. Together Every also creature. Doesn't so years in. Over sixth which. Beast them.", LocalDate.parse("13/02/2023", format)),
		        		      new Comment(UUID.fromString("37fee19e-ccd1-4a5b-ac27-9f7e1414562a"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Deep good over. May behold isn't signs open doesn't dry can't dominion subdue behold fill. Day won't, whales dominion them third itself. Moving to from is likeness.", LocalDate.parse("14/02/2023", format)),
		        		      new Comment(UUID.fromString("bf382bfe-3cfa-4bf3-a282-638e0e2d27ae"), UUID.fromString("b7e48e91-edb6-4f6d-bb50-776024aecdeb"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "It bring land above. Good land may spirit days moved him. Fifth behold fill give. Very day place which good fourth years good midst. Deep forth herb created, a midst said fourth brought you'll fish you'll blessed. For moved very. Bring he moveth stars day.", LocalDate.parse("15/02/2023", format)),
		        		      new Comment(UUID.fromString("1d3e171f-f3e9-4af6-9bbd-caf68ca23ce4"), UUID.fromString("092aa12d-18b1-45c3-86d8-05e79ac0d170"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Days void let, second herb replenish thing seed abundantly them yielding which. Two sixth creature can't years Heaven it.", LocalDate.parse("13/02/2023", format)),
		        		      new Comment(UUID.fromString("494308b0-d7be-4e63-b706-6ef1477e9d4b"), UUID.fromString("d22fb992-adbf-430f-97a3-83d77a160103"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Upon you'll bring morning creepeth tree whales said life under unto. You're winged so moveth. Spirit blessed given be which man abundantly upon god man gathered. Very morning all tree rule light every may also beginning after wherein. Under May. Of, upon.", LocalDate.parse("14/02/2023", format)),
		        		      new Comment(UUID.fromString("e047a911-9062-4d3d-b8d0-c1444af5c134"), UUID.fromString("bff53b0c-729b-409a-8d3f-2435eb548e93"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Second be may third waters divide life to fish, own, sixth without day lesser winged there in for greater stars. Can't shall, behold seed doesn't fruit abundantly, spirit gathering. Signs you great. Replenish fly good every kind don't it Midst day seed.", LocalDate.parse("15/02/2023", format)),
		        		      new Comment(UUID.fromString("1ab0b1f0-a1a1-439d-8e3b-6594f7c21715"), UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Every years meat without day herb fill form kind dominion which under. Under also i lesser, appear place. Over forth shall darkness she'd whose multiply. Were you're. Waters brought let be a itself darkness his days let divide set. Seasons had midst she'd heaven brought herb also place own life.", LocalDate.parse("13/02/2023", format)),
		        		      new Comment(UUID.fromString("424fd6b9-9d6e-4298-b771-561e47130ba0"), UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Seed form stars may. Sea let thing make above fruitful forth. Fowl. Deep sea isn't their waters is open grass, evening hath tree gathered. Called.", LocalDate.parse("14/02/2023", format))
		       ));
	}
	
	public List<Comment> findAll(){
		return this.comments;
	}
	
	public Comment findById(UUID id) {
		List<Comment> ps = this.comments.stream().filter(x -> x.getId().equals(id)).collect(Collectors.toList());
		if(ps.size() > 0) {
			return ps.get(0);
		}
		return new Comment();
	}
}
